summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--scripts/scan-tools.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index 9bb713f6e..3b6ada91e 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -233,6 +233,12 @@ if ! which m4 >/dev/null 2>&1; then
host_build_m4=1
fi
+host_build_mksh=0
+if ! which mksh >/dev/null 2>&1; then
+ echo "No mksh found, will build one."
+ host_build_mksh=1
+fi
+
host_build_patch=0
if ! which patch >/dev/null 2>&1; then
echo "No patch found, will build one."
@@ -317,6 +323,7 @@ if [ $host_build_bzip2 -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_BZIP2
if [ $host_build_file -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_FILE" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_flex -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_FLEX" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_m4 -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_M4" >> $topdir/target/config/Config.in.prereq ;fi
+if [ $host_build_mksh -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_MKSH" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_patch -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_PATCH" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_pkgconf -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_PKGCONF" >> $topdir/target/config/Config.in.prereq ;fi
if [ $host_build_findutils -eq 1 ];then printf "\t%s\n" "select ADK_HOST_BUILD_FINDUTILS" >> $topdir/target/config/Config.in.prereq ;fi